commit:     103e61e2a1c8be63a59357a68d4291e341225da5
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Nov 27 05:37:56 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Nov 27 07:57:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=103e61e2

dev-python/dnspython-1.16.0-r1: revbump, add py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/dnspython/dnspython-1.16.0-r1.ebuild | 40 +++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-python/dnspython/dnspython-1.16.0-r1.ebuild 
b/dev-python/dnspython/dnspython-1.16.0-r1.ebuild
new file mode 100644
index 00000000000..3b57e85601a
--- /dev/null
+++ b/dev-python/dnspython/dnspython-1.16.0-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="DNS toolkit for Python"
+HOMEPAGE="http://www.dnspython.org/ https://pypi.org/project/dnspython/";
+SRC_URI="https://github.com/rthalley/dnspython/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+IUSE="examples test"
+
+RDEPEND="dev-python/pycryptodome[${PYTHON_USEDEP}]
+       >=dev-python/ecdsa-0.13[${PYTHON_USEDEP}]
+       >=dev-python/idna-2.1[${PYTHON_USEDEP}]
+       !dev-python/dnspython:py2
+       !dev-python/dnspython:py3"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+RESTRICT+=" !test? ( test )"
+
+python_test() {
+       pushd tests >/dev/null || die
+       "${EPYTHON}" utest.py || die "tests failed under ${EPYTHON}"
+       popd > /dev/null || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to